/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.ee.mock;

import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Enumeration;
import java.util.Set;

import javax.servlet.RequestDispatcher;
import javax.servlet.Servlet;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;

public class MockServletContext implements ServletContext {

	public ServletContext getContext(final String arg0) {

		return null;
	}

	public int getMajorVersion() {

		return 0;
	}

	public int getMinorVersion() {

		return 0;
	}

	public String getMimeType(final String arg0) {

		return null;
	}

	public Set getResourcePaths(final String arg0) {

		return null;
	}

	public URL getResource(final String arg0) throws MalformedURLException {

		return null;
	}

	public InputStream getResourceAsStream(final String arg0) {

		return null;
	}

	public RequestDispatcher getRequestDispatcher(final String arg0) {

		return null;
	}

	public RequestDispatcher getNamedDispatcher(final String arg0) {

		return null;
	}

	public Servlet getServlet(final String arg0) throws ServletException {

		return null;
	}

	public Enumeration getServlets() {

		return null;
	}

	public Enumeration getServletNames() {

		return null;
	}

	public void log(final String arg0) {

	}

	public void log(final Exception arg0, final String arg1) {

	}

	public void log(final String arg0, final Throwable arg1) {

	}

	public String getRealPath(final String arg0) {

		return null;
	}

	public String getServerInfo() {

		return null;
	}

	public String getInitParameter(final String arg0) {

		return null;
	}

	public Enumeration getInitParameterNames() {

		return null;
	}

	public Object getAttribute(final String arg0) {

		return null;
	}

	public Enumeration getAttributeNames() {

		return null;
	}

	public void setAttribute(final String arg0, final Object arg1) {

	}

	public void removeAttribute(final String arg0) {

	}

	public String getServletContextName() {

		return null;
	}

}
